This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 806363 - (CVE-2012-1581) CVE-2012-1581 mediawiki (v1.18.2): Insecure generation of password reset tokens
CVE-2012-1581 mediawiki (v1.18.2): Insecure generation of password reset tokens
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120322,reported=2...
: Security
Depends On: 806398 806399
Blocks: 806396
  Show dependency treegraph
 
Reported: 2012-03-23 10:53 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 16:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-23 10:53:28 EDT
A weakness was found in the way MediaWiki, a wiki engine, performed generation of password reset tokens. A remote attacker could use various techniques to recover original PRNG information, that has been used for seeding / generation of a password reset token, possibly leading to ability to compromise the user account in question.

References:
[1] http://lists.wikimedia.org/pipermail/wikitech-l/2012-March/059230.html

Upstream bug:
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=35078

Upstream patch -- introduce MWCryptRand() contained within:
[3] https://www.mediawiki.org/wiki/Special:Code/MediaWiki/114429

parts:
i)  Index: branches/wmf/1.19wmf1/includes/CryptRand.php and
ii) Index: branches/wmf/1.19wmf1/includes/User.php
Comment 1 Jan Lieskovsky 2012-03-23 11:21:00 EDT
This issue affects the versions of the mediawiki package, as shipped with Fedora release of 15 and 16.

--

This issue affects the version of the mediawiki package, as shipped with Fedora EPEL 5.
Comment 2 Jan Lieskovsky 2012-03-23 11:58:29 EDT
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 806398]
Comment 3 Jan Lieskovsky 2012-03-23 12:00:00 EDT
Created mediawiki tracking bugs for this issue

Affects: epel-5 [bug 806399]
Comment 4 Jan Lieskovsky 2012-03-26 05:15:29 EDT
The CVE identifier of CVE-2012-1581 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/03/24/1
Comment 5 Vincent Danen 2013-05-08 16:38:57 EDT
The current version of mediawiki in Fedora is not vulnerable to this issue (1.19.4), however EPEL5 still provides mediawiki 1.14 as well as 1.16; EPEL6 and Fedora also provide 1.16.  It is unknown whether or not those versions are affected by this issue as they are no longer supported by upstream.

Note You need to log in before you can comment on or make changes to this bug.